QoreNamespaceTypedHashIterator Class Reference

allows typed hashes (hashdecls) in a namespace to be iterated More...

`#include <QoreNamespace.h>`

## Public Member Functions

DLLEXPORT | QoreNamespaceTypedHashIterator (const QoreNamespace &ns)
| creates the iterator
virtual DLLEXPORT | ~QoreNamespaceTypedHashIterator ()
| destroys the object
DLLEXPORT const TypedHashDecl & | get () const
| returns the typed hash (hashdecl)
DLLEXPORT bool | next ()
| moves to the next position; returns true if on a valid position

## Detailed Description

allows typed hashes (hashdecls) in a namespace to be iterated

Since
  Qore 0.9

The documentation for this class was generated from the following file:

- include/qore/QoreNamespace.h